using System;
using System.Windows.Forms;

namespace CLIP.eForm.Consent.UI
{
    /// <summary>
    /// 동의서목록 > 동의서 삭제 사유등록 팝업창 클래스
    /// </summary>
    /// <remarks>
    /// <p>[설계자]</p>
    /// <p>  클립소프트 연구소 홍지철 (jchong@clipsoft.co.kr)</p>
    /// <p>[원본 작성자]</p>
    /// <p>  클립소프트 기술부 이창훈 (chlee@clipsoft.co.kr)</p>
    /// <p>[수정 작성자]</p>
    /// <p>  클립소프트 기술부 이인희</p>
    /// <p>----------------------------------------------------------------------------------------</p>
    /// <p>[HISTORY]</p>
    /// <p> 2016-07-11 : 최초작성</p>
    /// <p>----------------------------------------------------------------------------------------</p>
    /// </remarks>  
    public partial class ReasonForUseN : Form
    {
        public ReasonForUseN(bool bDel)
        {
            InitializeComponent();

            // 삭제 종류에 따라 동의서 기록 삭제에 대한 메시지, 동의서 출력물 삭제에 대한 메시지를 보여준다
            if (bDel)
            {
                this.labelReasonForUseN.Text = string.Format(Properties.Resources.msg_show_consent_record_deleted);
            }
            else
            {
                this.labelReasonForUseN.Text = string.Format(Properties.Resources.msg_show_paper_out_consent_record_deleted);
            }
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            //if (!string.IsNullOrEmpty(this.textBoxReasonForUseN.Text))
            //{
            //    this.DialogResult = System.Windows.Forms.DialogResult.OK;
            //}
        }

        /// <summary>
        /// 사용자가 선택 혹은 입력한 삭제사유를 반환한다
        /// </summary>
        /// <returns></returns>
        public string GetReasonForUseN()
        {
            if (this.comboReason.SelectedItem.ToString() == "(직접입력)")
                return this.textBoxReasonForUseN.Text.ToString();
            else
                return this.comboReason.SelectedItem.ToString();
        }

        /// <summary>
        /// ReasonForUseN 폼 로딩 이벤트
        /// comboReason 의 선택된 인덱스를 0 으로 초기화 하여 준다
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="EventArgs"/> instance containing the event data.</param>
        private void ReasonForUseN_Load(object sender, EventArgs e)
        {
            this.comboReason.SelectedIndex = 0;
        }

        /// <summary>
        /// comboReason 콤보 컨트롤 아이템 변경 이벤트
        /// 사용자가 직접입력을 선택 한 경우 textBoxReasonForUseN 컨트롤을 활성화 아닐경우 비활성화 하여 준다
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="EventArgs"/> instance containing the event data.</param>
        private void comboReason_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (this.comboReason.SelectedItem.ToString() == "(직접입력)")
            {
                this.textBoxReasonForUseN.Enabled = true;
                this.textBoxReasonForUseN.TabIndex = 0;
            }
            else
            {
                this.textBoxReasonForUseN.Text = "";
                this.textBoxReasonForUseN.Enabled = false;
            }
        }
    }
}
